## ros-humble-urg-node 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(urg_node)

find_package(ament_cmake REQUIRED)

if(WIN32)
  message(WARNING "${PROJECT_NAME} is currently not supported on Windows")
  ament_package()
  return()
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# we currently still rely on boost for its `crc` component
find_package(Boost REQUIRED)
find_package(diagnostic_updater REQUIRED)
find_package(laser_proc REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_srvs REQUIRED)
find_package(urg_c REQUIRED)
find_package(urg_node_msgs REQUIRED)

add_library(urg_node SHARED
  src/urg_c_wrapper.cpp
  src/urg_node.cpp
)
target_include_directories(urg_node
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)
ament_target_dependencies(urg_node
  diagnostic_updater
  laser_proc
  rclcpp
  rclcpp_components
  sensor_msgs
  std_srvs
  urg_c
  urg_node_msgs
  Boost
)
rclcpp_components_register_node(urg_node
  PLUGIN "urg_node::UrgNode"
  EXECUTABLE urg_node_driver)

add_executable(getID src/get_id.cpp)
target_link_libraries(getID urg_node)

install(TARGETS urg_node getID
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY include/
  DESTINATION include
)

install(PROGRAMS scripts/set_urg_ip.py
  DESTINATION lib/${PROJECT_NAME}
)

install(DIRECTORY launch meshes urdf
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_dependencies(urg_node_msgs)
ament_export_dependencies(
  diagnostic_updater
  laser_proc
  rclcpp
  sensor_msgs
  std_srvs
  urg_c
)
ament_export_include_directories(include)
ament_export_libraries(urg_node)
ament_package()

=== debian/changelog ===
ros-humble-urg-node (1.1.1-1jammy) jammy; urgency=high

  * add branch information
  * add license file, same as ROS1
  * increased delay in diagnostics thread to slow down publish rate (#102 <https://github.com/ros-drivers/urg_node/issues/102>)
    This is just a quick PR to increase the thread sleep in the diagnostics thread. Currently the diagnostics status is updated at ~96hz. Which is way too fast and really messes with the Frequency Status Monitor which jumps between too low and too high
  * Added URDF for UST10. (#103 <https://github.com/ros-drivers/urg_node/issues/103>)
  * Contributors: Michael Ferguson, Richard, Tony Baltovski

 -- Michael Ferguson <mfergs7@gmail.com>  Sat, 18 Mar 2023 04:00:00 -0000

ros-humble-urg-node (1.1.0-1jammy) jammy; urgency=high

  * Merge pull request #86 <https://github.com/ros-drivers/urg_node/issues/86> from ros-drivers/clalancette/galactic-fixes
    Fixes for ROS 2 Galactic
  * Don't error out on unknown parameter names.
    In general, parameter callbacks should not error out on unknown
    parameter names.  That's because a) the callbacks may be
    chained, and b) there may be internal parameters that are used.
    Just ignore anything we don't know about.
  * Switch to PRIu32 for printing a uint32_t.
    This just ensures that it works on all platforms, and
    removes a warning on Galactic.
  * Fix rclcpp::Duration construction.
    As of Galactic, initializing an rclcpp::Duration with just
    a number is deprecated.  We now have to explicitly tell it
    the units of the number, generally done through std::chrono.
  * Remove unused reconfigure method.
  * Contributors: Chris Lalancette, Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 31 Mar 2021 04:00:00 -0000

ros-humble-urg-node (1.0.3-1jammy) jammy; urgency=high

  * Use Python 3 specifically in helper script (#85 <https://github.com/ros-drivers/urg_node/issues/85>)
    ROS 2 only targets Python 3. Making the shebang specific will ensure it
    isn't accidentally executed using the Python 2 interpreter.
  * travis-ci doesn't work
    But ros build farm is giving us coverage
  * depend only on parts of boost needed by the package (#75 <https://github.com/ros-drivers/urg_node/issues/75>)
  * Contributors: Michael Ferguson, Mikael Arguedas, Scott K Logan

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 31 Mar 2021 04:00:00 -0000

ros-humble-urg-node (1.0.2-1jammy) jammy; urgency=high

  * uncrustify for f/r (#74 <https://github.com/ros-drivers/urg_node/issues/74>)
  * fix deprecation warning (#69 <https://github.com/ros-drivers/urg_node/issues/69>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Sun, 12 Jul 2020 04:00:00 -0000

ros-humble-urg-node (1.0.1-1jammy) jammy; urgency=high

  * node name is now urg_node_driver (#70 <https://github.com/ros-drivers/urg_node/issues/70>)
    The node was renamed as part of the composable refactor
    At runtime, it still defaults to urg_node as the graph
    name
  * call run in a thread, fixes #66 <https://github.com/ros-drivers/urg_node/issues/66> (#71 <https://github.com/ros-drivers/urg_node/issues/71>)
  * add myself as maintainer for ros2 (#73 <https://github.com/ros-drivers/urg_node/issues/73>)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mfergs7@gmail.com>  Wed, 10 Jun 2020 04:00:00 -0000

ros-humble-urg-node (1.0.0-1jammy) jammy; urgency=high

  * migrate ros2 devel (#50 <https://github.com/ros-drivers/urg_node/issues/50>)
  * Merge pull request #42 <https://github.com/ros-drivers/urg_node/issues/42> from BadgerTechnologies/detect-time-warp-and-reset
  * synchronize_time: reset when clock is warped
  * Merge pull request #41 <https://github.com/ros-drivers/urg_node/issues/41> from BadgerTechnologies/synchronize-time
  * synchronize system clock to hardware time
  * Add Travis config.
  * Fixed linter errors.
  * Contributors: Aarush Gupta, aswinthomas, Brett, C. Andy Martin, Chris Lalancette, Gu Chao Jie, Karsten Knese, Marc-Antoine Testier, Tony Baltovski, Zoe

 -- Michael Ferguson <mfergs7@gmail.com>  Tue, 24 Mar 2020 04:00:00 -0000

ros-humble-urg-node (0.1.11-1jammy) jammy; urgency=high

  * Add support for URG-04LX in SCIP 1.1 mode
    The urg_node does not support SCIP 1.1. The Hokuyo URG-04LX supports both
    SCIP 1.1 and SCIP 2.0, but needs to be switched to SCIP 2.0 at every startup
    in its default configuration. For this purpose the function
    URGCWrapper::setToSCIP2() was added.
    A URG-04LX in SCIP 1.1 mode used to lead to an exception being thrown in
    URGCwrapper::initialize. Now, before throwing the exception an attempt to
    switch the sensor to SCIP 2.0 is made.
  * Fixed comments in launch file and added roslaunch.
  * Add flag to prevent updating of detailed status.
    If using a model that does not support AR00 command, hide it
    behind a rosparam.
  * Add safety stop heading and distance values (#28 <https://github.com/ros-drivers/urg_node/issues/28>)
    Added to the laser status field the last report of a safety
    stop of distance and angle reported. If this fails or is unavailable
    it will just report 0.
  * Updating depend and roslint.
    Fixing some roslint error after moving a header name.
    Additionally fixing the gencfg to be on the lib and not the node.
  * Adding missing std_srvs depend.
    Adding missing std_srvs depend to package.xml and CMakelists.txt
  * Move urg_node to be a library.
    Moving urg_node to urg_node_driver as a library.
    This allows for other nodes to include this as an object instead
    of spawning another separate process.
  * Add getAR00 status command.
    Added ability to pull the status of the lidar AR00 status command.
    This then publishes a latched topic with the current status of the
    lidar's error code and lockout status.
  * Update urg_node to be a self contained class
    Updating urg node to be a self contained class. This allows
    for it to be imported in other nodes.
  * Roslint


=== debian/control ===
Source: ros-humble-urg-node
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mfergs7@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-diagnostic-updater, ros-humble-laser-proc, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-std-srvs, ros-humble-urg-c, ros-humble-urg-node-msgs, ros-humble-ros-workspace
Homepage: http://ros.org/wiki/urg_node
Standards-Version: 3.9.2

Package: ros-humble-urg-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, ros-humble-builtin-interfaces, ros-humble-diagnostic-updater, ros-humble-laser-proc, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rosidl-default-generators, ros-humble-sensor-msgs, ros-humble-std-srvs, ros-humble-urdf, ros-humble-urg-c, ros-humble-urg-node-msgs, ros-humble-ros-workspace
Description: urg_node

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-urg-node//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
